/*The Semionow's `index' style sheet*/

/*For use with HTML version 4 or greater*/

/* Contents:

   1. layout
   2. headers & footers
   3. blocks of quotes
   4. monospace text
   5. ordered lists
   6. definition lists
   7. tables
   8. images
   9. anchors
  10. emphasis
  
  11. hover tips
  12. hightlight (notice) boxes

  13. Darkness, Inc.
  14. teh responsibility!
*/

/* layout	-	-	-	-	-	- 1	*/

HTML	{BACKGROUND: #806443;
	 COLOR: #111;
	 MIN-HEIGHT: 100%;
	 BACKGROUND: #806443 URL("P.GIF") CENTER;}
BODY	{WIDTH: 518PX;
	 PADDING: 25PX 15PX;
	 MARGIN: 24PX AUTO 50PX;
	 BACKGROUND-COLOR: #E5CC96;
	 BORDER: THIN SOLID #000;
	 BORDER-WIDTH: MEDIUM THICK;}

/* headers & footers	-	-	-	-	- 2	*/

DIV.HEADER, DIV.FOOTER
	{COLOR: #E2D2A8;
	 FONT-FAMILY: SANS-SERIF;}
DIV.HEADER
	{MARGIN: -25PX -15PX 1EM;
	 PADDING: 1EX 15PX;
	 BACKGROUND-COLOR: #148202;
	 BORDER-BOTTOM: THIN SOLID BLACK;}
DIV.FOOTER
	{MARGIN: 1EM -15PX -25PX;
	 PADDING: 1EX 15PX;
	 BACKGROUND-COLOR: #0F151B;
	 BORDER-TOP: THIN SOLID BLACK;}
DIV.FOOTER HR
	{DISPLAY: NONE;}

/* blocks of quotes	-	-	-	-	- 3	*/

BLOCKQUOTE
	{PADDING: 1EX 1EX 1EX 1EM;
	 BORDER-TOP: THIN SOLID #000;
	 BORDER-BOTTOM: THIN SOLID #000;
	 BORDER-LEFT: 1EM SOLID #806443;}

/* monospace text	-	-	-	-	- 4	*/

PRE, XMP, LISTING
	{PADDING: 0 1EM 1EM 2PT;
	 BORDER: THIN SOLID BLACK;
	BACKGROUND-COLOR: #AAA;
	FONT-SIZE: 8PT;
	WIHTE-SPACE: PRE-WRAP;}
LISTING
	{FONT-WIDTH: ULTRA-CONDENSED;}

/* ordered lists	-	-	-	-	- 5	*/

OL	{COUNTER-RESET: OL;
	 LIST-STYLE: NONE;}
OL > LI:BEFORE
	{CONTENT: COUNTERS(OL, ".") " ";
	 COUNTER-INCREMENT: OL;}

/* definition lists	-	-	-	-	- 6	*/

DL	{BACKGROUND-COLOR: #0055AA;
	 BORDER-LEFT: THIN SOLID BLACK;}
DT, DD	{BACKGROUND-COLOR: #E5CC96;}

/* tables	-	-	-	-	-	- 7	*/

TABLE[BORDER]
	{BORDER: THIN SOLID BLACK;
	 BORDER-COLLAPSE: COLLAPSE;}
TABLE[BORDER] TH, TABLE[BORDER] TD
	{PADDING: 0.1EX 0.5EX;}

TABLE[BORDER] > TBODY > TR > *
	{BACKGROUND-COLOR: #A0C7BF;}

TABLE[BORDER] > TBODY > TR:NTH-CHILD(ODD)  > *:NTH-CHILD(ODD)
	{BACKGROUND-COLOR: #EEE;}
TABLE[BORDER] > TBODY > TR:NTH-CHILD(ODD)  > *:NTH-CHILD(EVEN)
	{BACKGROUND-COLOR: #CCC;}
TABLE[BORDER] > TBODY > TR:NTH-CHILD(EVEN) > *:NTH-CHILD(ODD)
	{BACKGROUND-COLOR: #CCC;}
TABLE[BORDER] > TBODY > TR:NTH-CHILD(EVEN) > *:NTH-CHILD(EVEN)
	{BACKGROUND-COLOR: #EEE;}

TABLE[BORDER] > THEAD TH, TABLE[BORDER] > THEAD TD,
TABLE[BORDER] > TFOOT TH, TABLE[BORDER] > TFOOT TD
	{BORDER-COLOR: WHITE;}

TABLE[BORDER] > THEAD
	{BACKGROUND-COLOR: #3F151B;
	 COLOR: #C3B187;
	 BORDER-COLOR: #000;}
TABLE[BORDER] > TFOOT
	{BACKGROUND-COLOR: #315483;
	 COLOR: #63A1AF;
	 BORDER-COLOR: #000;}

/* images	-	-	-	-	-	- 8	*/

IMG	{VERTICAL-ALIGN: TEXT-BOTTOM;
	 MAX-WIDTH: 100%;}
A[HREF] IMG
	{BORDER: 4PX RIDGE #AAA;}

A:LINK IMG
	{BORDER-COLOR: #0A0;}
A:VISITED IMG
	{BORDER-COLOR: #0A5;}
A[HREF]:HOVER IMG
	{BORDER-COLOR: #A50;}
A[HREF]:ACTIVE IMG
	{BORDER-COLOR: #0F0;}
	
A[HREF] IMG.NOBORDER, .NOBORDER A[HREF] IMG
	{BORDER: 0;}

IMG.CLEAR
	{CLEAR: BOTH;}
IMG.CLEFT
	{CLEAR: LEFT;}
IMG.CRIGHT
	{CLEAR: RIGHT;}
IMG.CNONE
	{CLEAR: NONE;}

/* anchors	-	-	-	-	-	- 9	*/

A:LINK	{COLOR: #0A0;}
A:VISITED
	{COLOR: #0A5;}
A[HREF]:HOVER
	{COLOR: #A50;}
A[HREF]:ACTIVE
	{COLOR: #F05;}

HEADER A:LINK, FOOTER A:LINK
	{COLOR: #5AF;}
HEADER A:VISITED, FOOTER A:VISITED
	{COLOR: #F5F;}
HEADER A[HREF]:HOVER, FOOTER A[HREF]:HOVER
	{COLOR: #FA5;}
HEADER A[HREF]:ACTIVE, FOOTER A[HREF]:ACTIVE
	{COLOR: #F5A;}

*:TARGET
	{BACKGROUND-COLOR: #FFF;
	 COLOR: #642;}

/* emphasis	-	-	-	-	-	- 10	*/

/* hover tips	-	-	-	-	-	- 11	*/

DIV.HOVER
        {MARGIN: 1EX 0;
         PADDING: 1EX 1EM;
         BACKGROUND-COLOR: #FCEBBA;
         BORDER: THIN SOLID BLACK;
	 BORDER-IMAGE: URL("HOVERTIP.PNG") 5 / 5 / 0 4 4 0 REPEAT;
         POSITION: ABSOLUTE}
* + DIV.HOVER
	{DISPLAY: NONE;
         MAX-WIDTH: 500PX;
         POSITION: ABSOLUTE}
*:HOVER + DIV.HOVER,
* + DIV.HOVER:HOVER
        {DISPLAY: BLOCK;
	 MARGIN-TOP: -1PX}


/* highlight (notice) boxes	-	-	-	- 12	*/

DIV.NOTE
	{MARGIN: 1EM -1EX;
	 PADDING: 0 1EX;
	 BORDER: 1PX SOLID BLACK;
	 BACKGROUND-COLOR: #BAEBFC;
	 PAUSE: MEDIUM;
	 VOICE-PITCH: HIGH;
	 VOICE-STRESS: MODERATE}


/* darkness, Inc.	-	-	-	-	- 13	*/

@MEDIA (PREFERS-COLOR-SCHEME: DARK) {
HTML	{BACKGROUND: #100800;
	 COLOR: #BA8909;}
BODY	{BACKGROUND: #201001;
	 BORDER-COLOR: #DE9411;}

DIV.HEADER, DIV.FOOTER
	{COLOR: #DE9411;}
DIV.HEADER
	{BACKGROUND-COLOR: #673A06;
	 BORDER-BOTTOM-COLOR: #DE9411;}
DIV.FOOTER
	{BACKGROUND-COLOR: #673A06;
	 BORDER-TOP-COLOR: #DE9411;}

BLOCKQUOTE
	{BORDER-TOP-COLOR: #DE9411;
	 BORDER-BOTTOM-COLOR: #DE9411;
	 BORDER-LEFT-COLOR: #201001;}

PRE, XMP, LISTING
	{BORDER-COLOR: #DE9411;
	 BACKGROUND-COLOR: #201001;}



DL	{BACKGROUND-COLOR: #673A06;
	 BORDER-LEFT-COLOR: #BA8909;}
DT, DD	{BACKGROUND-COLOR: #201001;}

TABLE[BORDER]
	{BORDER-COLOR: #BA8909;}
TABLE[BORDER] > TBODY > TR > *
	{BACKGROUND-COLOR: INHERIT;}
TABLE[BORDER] > TBODY > TR:NTH-CHILD(ODD)  > *:NTH-CHILD(ODD)
	{BACKGROUND-COLOR: INHERIT;
	 COLOR: #BA8909;}
TABLE[BORDER] > TBODY > TR:NTH-CHILD(ODD)  > *:NTH-CHILD(EVEN)
	{BACKGROUND-COLOR: INHERIT;
	 COLOR: #BA8909;}
TABLE[BORDER] > TBODY > TR:NTH-CHILD(EVEN) > *:NTH-CHILD(ODD)
	{BACKGROUND-COLOR: INHERIT;
	 COLOR: #DE9411;}
TABLE[BORDER] > TBODY > TR:NTH-CHILD(EVEN) > *:NTH-CHILD(EVEN)
	{BACKGROUND-COLOR: INHERIT;
	 COLOR: #DE9411;}
TABLE[BOREDR] > THEAD TH, TABLE[BORDER] > THEAD TD,
TABLE[BORDER] > TFOOT TH, TABLE[BORDER] > TFOOT TD
	{BORDER-COLOR: #DE9411;}
TABLE[BORDER] > THEAD
	{BACKGROUND-COLOR: #INHERIT;
	 COLOR: #DE9411;
	 BORDER-COLOR: #C3B187;}
TABLE[BORDER] > TFOOT
	{BACKGROUND-COLOR: INHERIT;
	 COLOR: #DE9411;
	 BORDER-COLOR: #DE9411;}

A:LINK IMG
	{BORDER-COLOR: #BA8909;}
A:VISITED IMG
	{BORDER-COLOR: #DE9411;}

A:LINK	{TEXT-DECORATION: UNDERLINE;
	 COLOR: #DE9411;}
A:VISITED
	{COLOR: #BA8909;}
HEADER A:LINK, FOOTER A:LINK
	{COLOR: #DE9411;}
HEADER A:VISITED, FOOTER A:VISITED
	{COLOR: #BA8909;}
*:TARGET
	{BACKGROUND-COLOR; #BA8909;
	 COLOR: #201001;}

I, EM	{COLOR: #DE9411;}
B, STRONG
	{COLOR: #201001;
	 BACKGROUND-COLOR: #BA8909;}
I B, B I,
EM STRONG, STRONG EM
	{COLOR: #201001;
	 BACKGROUND-COLOR: #DE9411;}
	 
DIV.HOVER
	{BACKGROUND-COLOR: #673A06;
	 BORDER: THIN SOLID #DE9411;
	 BORDER-IMAGE: URL("HOVRTIPD.PNG") 5 / 5 / 4 REPEAT;}

DIV.NOTE
	{BORDER: THIN SOLID #BA8909;
	 BACKGROUND-COLOR: #673A06;}
}


/* teh responsibility!	-	-	-	-	- 14	*/

/*
DE9411
BA8909
673A06
201001
*/